const flowConfig = {
	router: {
		name: 'orth',
		args: {
			offset: 32,
			min: 16,
			direction: undefined,
		},
	},
	connector: {
		name: 'normal',
	},
	line: {
		strokeWidth: 2,
		stroke: '#5f95ff',
		strokeDasharray: 0,
		style: {
			animation: 'ant-line 0s infinite linear',
		},
		sourceMarker: null,
		targetMarker: {
			name: 'block',
			width: 12,
			height: 8,
		},
	},
	outline: {
		stroke: '#456d89',
		strokeWidth: 7,
	},
};

// 默认样式，flowConfig 中获取的是当前正在操作的样式
export const defaultFlowConfig = {
	showGrid: true,
	type: 'dot',
	size: 10,
	color: '#a29a9a',
	thickness: 1,
	colorSecond: '#d0d0d0',
	thicknessSecond: 1,
	factor: 4,
	bgColor: '#ffffff',
	showImage: false,
	repeat: 'watermark',
	angle: 30,
	position: 'center',
	bgSize: JSON.stringify({ width: 150, height: 150 }),
	opacity: 0.9,

	strokeWidth: 4,
	outStrokeWidth: 7,
	stroke: '#cfe7f2',
	outStroke: '#456d89',
	strokeDasharray: 1,
	animation: 0,
	connector: 'normal',
	edgeRouter: 'orth',
	edgeTargetMarker: 'block',
	edgeSourceMarker: '无',
	edgeMarkerWidth: 12,
	edgeMarkerHeight: 8,
	edgeMarkerRadius: 5,
	edgeOffset: 32,
	edgeDirection: 'H',
	label: '',

	nodeStroke: '#5F95FF',
	nodeStrokeWidth: 1,
	nodeFill: '#ffffff',
	portId: '',
	portX: 0,
	portY: 0,
	portColor: '#5F95FF',
	portFill: '#FFF',
	ZIndex: 0,
	nodeFontSize: 12,
	nodeColor: '#080808',
	// 业务数据
	nodeStatus: 0,
	nodePointCode: '52',
	nodeFieldName: 'fieldName1',

	nodeType: '', // 节点类型(text、image)
};

export const defaultProcessDrawingConfig = {
	showGrid: false,
	type: 'dot',
	size: 10,
	color: '#ff0000',
	thickness: 1,
	colorSecond: '#d0d0d0',
	thicknessSecond: 1,
	factor: null,
	bgColor: '#ffffff',

	showImage: true,
	// 不更新 背景 url
	// imageUrl: '',

	repeat: 'no-repeat',
	angle: null,
	position: 'center',
	bgSize: null,
	opacity: 1,
};
export default flowConfig;
